#ifndef FILER_H
#define FILER_H

#define MAX_ENTRY 1024
#define MAX_PATH 1024
#define MAX_NAME 256

unsigned long getExtId(const char *szFilePath);
int getFilePath(char *fullpath, unsigned long ext);

/* File selection */
typedef struct {
        char         name[MAX_NAME];
		char         path[MAX_PATH];
        unsigned int size;
        unsigned int attr;
} BROWSERFILEINFO;

extern BROWSERFILEINFO *sortfiles[MAX_ENTRY];
extern int nfiles;

// GB supported extensions
enum {
	EXT_GB = 1,
	EXT_GZ = 2,
	EXT_ZIP = 4,
	EXT_TCH = 8,
	EXT_UNKNOWN = 16,
};

#endif
